--- openembedded/conf/machine/om-gta02.conf
+++ openembedded/conf/machine/om-gta02.conf
@@ -6,8 +6,8 @@
 
 TARGET_ARCH = "arm"
 
-PREFERRED_PROVIDER_virtual/kernel ?= "linux-openmoko-stable"
-PREFERRED_PROVIDER_virtual/xserver = "xserver-kdrive-glamo"
+PREFERRED_PROVIDER_virtual/kernel ?= "linux-openmoko-devel"
+PREFERRED_PROVIDER_virtual/xserver = "xserver-xorg"
 UBOOT_ENTRYPOINT = "30008000"
 
 MACHINE_FEATURES = "kernel26 apm alsa bluetooth gps usbgadget usbhost phone wifi vfat ext2"
@@ -15,7 +15,10 @@ MACHINE_DISPLAY_WIDTH_PIXELS = "480"
 MACHINE_DISPLAY_HEIGHT_PIXELS = "640"
 MACHINE_DISPLAY_ORIENTATION = "0"
 MACHINE_DISPLAY_PPI = "285"
-XSERVER = "xserver-kdrive-glamo xserver-kdrive-fbdev"
+XSERVER = "xserver-xorg \
+           xf86-video-fbdev \
+           xf86-input-tslib \
+           xf86-input-keyboard"
 
 # package machine specific modules
 MACHINE_EXTRA_RRECOMMENDS = "\
-- 
